登录/注册

GLM-4.5V
智谱AI 上下文窗口
128K
创建时间
2025/11/19
GLM-4.5VGLM-4.5V 系列是基于 MOE 架构的旗舰视觉理解模型。拥有 106B 总参数量和 12B 激活参数,全面升级自 GLM-4.1V-Thinking,达到开源多模态模型 SOTA 水平。结合创新 RLCS 强化学习技术,在视频理解、图片问答、OCR、文档解析等任务表现优异,并在前端网页 Coding、Grounding、空间推理等复杂场景实现显著提升。支持 thinking / 非 thinking 模式灵活切换,兼顾推理深度与效率。
模型价格
| 计费项 | 价格 |
|---|---|
| 输入 | 2.16元 / 1M |
| 缓存命中输入 | 0.432元 / 1M |
| 输出 | 6.48元 / 1M |
API 接入信息
Model ID
GLM-4.5V用于在推理接口中指定模型
API Key
前往 API Key 管理查看
用于设置推理接口的 Bearer Token(OAuth 2.0 认证令牌)
OpenAI BaseURL
https://api.atalk-ai.com/v2/ 兼容 OpenAI 接口(即 /chat/completions),支持 OpenAI SDK、Codex 等
模型能力
输入
文本
输出
文本
GLM-4.5V 接入示例
海鲸AI 兼容 OpenAI 接口协议,可直接使用 OpenAI SDK 或 HTTP 请求接入,默认开启流式输出。
js
curl https://api.atalk-ai.com/v2/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_KEY>" \
-d '{
"model": "GLM-4.5V",
"messages": [
{"role": "system", "content": "你是一个有帮助的助手。"},
{"role": "user", "content": "你好!"}
],
"stream": true
}'js
from openai import OpenAI
client = OpenAI(
base_url="https://api.atalk-ai.com/v2",
api_key="<API_KEY>",
)
stream = client.chat.completions.create(
model="GLM-4.5V",
messages=[
{"role": "system", "content": "你是一个有帮助的助手。"},
{"role": "user", "content": "你好!"},
],
stream=True,
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True)js
import OpenAI from 'openai'
const client = new OpenAI({
baseURL: 'https://api.atalk-ai.com/v2',
apiKey: '<API_KEY>',
})
const stream = await client.chat.completions.create({
model: 'GLM-4.5V',
messages: [
{ role: 'system', content: '你是一个有帮助的助手。' },
{ role: 'user', content: '你好!' },
],
stream: true,
})
for await (const chunk of stream) {
process.stdout.write(chunk.choices[0]?.delta?.content ?? '')
}